<?php
/**
 * Loop Name: Plugin Custom Loop
 */
?>
<?php if ( have_posts() ) : ?>

	<?php
	/* Start the Loop */
	while ( have_posts() ) :
		the_post(); ?>

		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<header class="entry-header">
				<?php
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				?>
			</header><!-- .entry-header -->

			<?php if ( has_post_thumbnail() ) : ?>
				<?php the_post_thumbnail(); ?>
			<?php endif; ?>

			<div class="entry-content">
				<?php
				the_content( sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'so-custom-post-loop' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					get_the_title()
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'so-custom-post-loop' ),
					'after'  => '</div>',
				) );
				?>
			</div><!-- .entry-content -->

		</article><!-- #post-<?php the_ID(); ?> -->

	<?php endwhile;

	the_posts_navigation();

else : ?>

	<section class="no-results not-found">
		<h2 class="page-title"><?php esc_html_e( 'Nothing Found', 'so-custom-post-loop' ); ?></h2>
		<div class="page-content">

				<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'so-custom-post-loop' ); ?></p>
				<?php 
					get_search_form();
				?>
		</div><!-- .page-content -->
	</section><!-- .no-results -->

<?php endif; ?>
